
Enduro/X Core - Bug #339

Feature # 328 (Closed): Enduro/X Version 6.0 master task

Bfloatev issues with addition of floating point numbers/constants

08/29/2018 04:38 AM - Madars

Status: Closed Start date: 08/29/2018

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

This expression

Bboolco("T_DOUBLE_FLD+1.3");

prints in logs:

U:UBF :5:d5d3db3a:15139:7f4ea1cb3800:000:20180829:073527403:_funcs.c:0407:adding newfld: id: 00, type: [FLD   (8) ],

 sub-type:[DF(0) ] value: [fld: [T_DOUBLE_FLD] occ: [0] bfldid: [134218779]]

U:UBF :5:d5d3db3a:15139:7f4ea1cb3800:000:20180829:073527403:_funcs.c:0600:adding newflt: id: 01, type: [FLOAT (10)],

 sub-type:[DF(0) ] value: [1,0000000000000]

U:UBF :5:d5d3db3a:15139:7f4ea1cb3800:000:20180829:073527403:_funcs.c:0360:adding newast: nodeid: 2, nodetype: 5, type:

 [ADDOP (5) ], sub-type:[+ (9) ] value: [N/A] l=0x1496930 r=0x1496970

 

So why 1,0000000000000 and not 1,3000000000000?

History

#1 - 08/29/2018 04:38 AM - Madars

- Parent task set to #328

#2 - 08/29/2018 08:48 AM - Madars

Seems like we need a locale in depended version of atof. thus create a macro NDRX_ATOF, get locale, check that if separator is "." if so, then no

action needed, else strdup and replace locale specific char with "." dot

#3 - 08/31/2018 06:53 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 08/31/2018 06:53 PM - Madars

- Status changed from Resolved to Closed
